plugins {
    alias(libs.plugins.android.application)
}

android {
    namespace = "net.micode.notes"
    compileSdk = 34

    defaultConfig {
        applicationId = "net.micode.notes"
        minSdk = 24
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        packaging {
            resources.excludes.add("META-INF/DEPENDENCIES");
            resources.excludes.add("META-INF/NOTICE");
            resources.excludes.add("META-INF/LICENSE");
            resources.excludes.add("META-INF/LICENSE.txt");
            resources.excludes.add("META-INF/NOTICE.txt");
        }
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    //implementation(fileTree(mapOf(
      //  "dir" to "D:\\android\\Notesmaster\\httpcomponents-client-4.5.14-bin\\lib",
     //   "include" to listOf("*.aar", "*.jar"),
     //   "exclude" to listOf("")
   // )))
    implementation(fileTree(mapOf(
        "dir" to "D:\\android\\Notesmaster\\httpcomponents-client-4.5.14-bin\\lib",
        "include" to listOf("*.aar", "*.jar"),
        "exclude" to listOf("commons-codec-1.11.jar","httpclient-4.5.14.jar","httpclient-cache-4.5.14.jar",
            "fluent-hc-4.5.14.jar","httpmime-4.5.14.jar")
    )))

    testImplementation(libs.junit)
    androidTestImplementation(libs.ext.junit)
    androidTestImplementation(libs.espresso.core)
}
